	SUBROUTINE ENQUE(INCHAR)
	COMMON ISTACK,IEND,ISTCK,IPTR
	LOGICAL*1 ISTACK(8000)
C
C	  PLACE ALL INPUT IN THE QUEUE; IF WE HAVE A FULL QUEUE *ERROR*
C
C	IGNORE NULLS
 410	IF(INCHAR.EQ.0) RETURN
C
C	  IGNORE RUBOUTS
C
	IF(INCHAR.EQ."177) RETURN
C
 420	IF(ISTCK.GE.IEND) ISTCK=0
	ISTCK=ISTCK+1
	IF(ISTCK.EQ.IPTR) GOTO 99999
	ISTACK(ISTCK)=INCHAR
	RETURN
C
C	  BUFFER HAS OVERFLOWED - WARN USER
C
99999	WRITE(5,12)
 12	FORMAT(//' *QUEUE OVERFLOW*'//)
	RETURN
	END
